import type { Metadata } from "next"
import { Inter } from "next/font/google"
import "./globals.css"
import Header from "./components/header"
import { Sheet } from "@mui/joy"

const inter = Inter({ subsets: ["latin"] })

export const metadata: Metadata = {
  title: "MTG Art Search",
  description: "Search for magic cards by features in their artwork",
}

export default function RootLayout({
  children,
}: Readonly<{
  children: React.ReactNode
}>) {
  return (
    <html lang="en">
      <body className={inter.className}>
        <Sheet
          sx={{
            minHeight: "100vh",
            display: "flex",
            flexDirection: "column",
          }}
        >
          <Header />
          {children}
        </Sheet>
      </body>
    </html>
  )
}
